Bug 437230 - acpi and other resources not correctly used on IBM X3400
acpi and other resources not correctly used on IBM X3400
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 21:36 EDT by Marco Grigull
Modified: 2008-06-03 09:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 09:10:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xen kernel with issues (22.52 KB, application/octet-stream)
2008-03-12 21:38 EDT, Marco Grigull
no flags Details
std. kernel with issues on x3400 (24.94 KB, application/octet-stream)
2008-03-12 21:39 EDT, Marco Grigull
no flags Details

  None (edit)
Description Marco Grigull 2008-03-12 21:36:25 EDT
Description of problem:
ACPI issues in xen and nonxen kernels on IBM x3400

Version-Release number of selected component (if applicable):
2.6.18-53.1.14.el5 on x3450  and  2.6.18-53.1.13.el5xen  on X3400

How reproducible:


Steps to Reproduce:
1. boot system with recent RHEL5 kernel (older kernels were not available)
2.
3.
  
Actual results:
on Xen kernel:
ACPI Error (exregion-0165): Could not map memory at 00000000FEC80000, size 100
[20060707]
ACPI Exception (evregion-0424): AE_NO_MEMORY, Returned by Handler for
[SystemMemory] [20060707]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0._CRS] (Node
c7532590), AE_NO_MEMORY
ACPI Error (uteval-0212): Method execution failed [\_SB_.PCI0._CRS] (Node
c7532590), AE_NO_MEMORY

and on both:
PCI: Bridge: 0000:02:00.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
for many devices

Expected results:
No ACPI error on xen
IO and memory windows not disabled

Additional info:
Dmesg grabbed from customer production tickets.  No 'xen dmesg available.
This platform is apparently certified https://hardware.redhat.com/show.cgi?id=235161
Comment 1 Marco Grigull 2008-03-12 21:38:44 EDT
Created attachment 297879 [details]
xen kernel with issues
Comment 2 Marco Grigull 2008-03-12 21:39:21 EDT
Created attachment 297880 [details]
std. kernel with issues on x3400
Comment 3 Prarit Bhargava 2008-03-24 13:47:43 EDT
Ed, do we have an IBM x3400 in Westford?
Comment 4 Ed Pollard 2008-03-24 14:04:50 EDT
Prarit,
 We don't. I might be able to get someone at IBM to do some specific tests for
us at IBM if that would be helpful.
Comment 5 Prarit Bhargava 2008-03-24 14:05:46 EDT
Marco, 

PCI: Bridge: 0000:02:00.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.

This isn't a bug/error warning.  It is informational only.  The kernel does not
see any devices behind this bridge and disables the various windows on the bridge.

ACPI Error (exregion-0165): Could not map memory at 00000000FEC80000, size 100
[20060707]
ACPI Exception (evregion-0424): AE_NO_MEMORY, Returned by Handler for
[SystemMemory] [20060707]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.PCI0._CRS] (Node
c7532590), AE_NO_MEMORY
ACPI Error (uteval-0212): Method execution failed [\_SB_.PCI0._CRS] (Node
c7532590), AE_NO_MEMORY

Also, ACPI may attempt to access physical HW from dom0 which results in these
types of warnings from dom0.  They are also seen IIRC, when ACPI is queried for
CPU information.

ie) this may be NOTABUG.

Are you actually seeing a system failure?

P.
Comment 6 Prarit Bhargava 2008-04-15 13:06:12 EDT
Marco - ping?

P.
Comment 7 Marco Grigull 2008-04-15 17:52:29 EDT
Prarit,
the Xen based system had issues provisioning guests.

Ill check with Mark Huth when he gets back for the particulars.
Comment 8 Prarit Bhargava 2008-06-03 09:10:08 EDT
NEEDINFO state for over a month.  Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.